import request from '@/utils/request'

// 查询“专精特新”小巨人认定情况明细列表
export function listDetails(query) {
  return request({
    url: '/crmNewEnterpriseRecognitionDetails/findByPage',
    method: 'get',
    params: query
  })
}

// 查询“专精特新”小巨人认定情况明细详细
export function getDetails(id) {
  return request({
    url: '/crmNewEnterpriseRecognitionDetails/details/' + id,
    method: 'get'
  })
}

// 新增“专精特新”小巨人认定情况明细
export function addDetails(data) {
  return request({
    url: '/crmNewEnterpriseRecognitionDetails/details',
    method: 'post',
    data: data
  })
}

// 修改“专精特新”小巨人认定情况明细
export function updateDetails(data) {
  return request({
    url: '/crmNewEnterpriseRecognitionDetails/details',
    method: 'put',
    data: data
  })
}

// 删除“专精特新”小巨人认定情况明细
export function delDetails(id) {
  return request({
    url: '/crmNewEnterpriseRecognitionDetails/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delDetailsBatch(ids) {
  console.log(ids);
  return request.post('/crmNewEnterpriseRecognitionDetails/delete',ids)
}

